#ifdef	miniCOM_PLATFORM_WINDOWS
	#ifdef MINICOM_EXPORTS
		#define TomTom_PHONENETWORKDETECT_API extern "C" __declspec(dllexport)
	#else
		#define TomTom_PHONENETWORKDETECT_API extern "C" __declspec(dllimport)
	#endif
#else
	#ifdef MINICOM_EXPORTS
		#define TomTom_PHONENETWORKDETECT_API extern "C" 
	#else
		#define TomTom_PHONENETWORKDETECT_API extern "C" 
	#endif
#endif

#define	TomTom_PHONENETWORK_ERROR_NONE			0
#define	TomTom_PHONENETWORK_ERROR_GENERAL		-1
#define	TomTom_PHONENETWORK_ERROR_FILE			-2
#define	TomTom_PHONENETWORK_ERROR_MEMORY		-3
#define	TomTom_PHONENETWORK_ERROR_NODATA		-3

#define	TomTom_PHONENETWORK_DEV_NULL				0
#define	TomTom_PHONENETWORK_DEV_BT					1
#define	TomTom_PHONENETWORK_DEV_SERIAL				2
#define	TomTom_PHONENETWORK_DEV_NETWORK				3

#define	TomTom_PHONENETWORK_MAX_SIZE				256


typedef struct TomTom_DUNSetting 
{
	char InitializationString[TomTom_PHONENETWORK_MAX_SIZE];
	char DialString[TomTom_PHONENETWORK_MAX_SIZE];
	char Dns1[TomTom_PHONENETWORK_MAX_SIZE];
	char Dns2[TomTom_PHONENETWORK_MAX_SIZE];
	char GatewayIP[TomTom_PHONENETWORK_MAX_SIZE];
	char APN[TomTom_PHONENETWORK_MAX_SIZE];
	char DisplayName[TomTom_PHONENETWORK_MAX_SIZE]; 
	char ClientIP[TomTom_PHONENETWORK_MAX_SIZE];
	char ContractType[TomTom_PHONENETWORK_MAX_SIZE];
	char RequiresUser[TomTom_PHONENETWORK_MAX_SIZE];
	char DefaultUser[TomTom_PHONENETWORK_MAX_SIZE];
	char DefaultPassword[TomTom_PHONENETWORK_MAX_SIZE];
	char DefaultSetting[TomTom_PHONENETWORK_MAX_SIZE];
	char Country[TomTom_PHONENETWORK_MAX_SIZE];
	int  aBasicDUNSettingId;
} TomTom_DUNSetting;


typedef	int	(*TomTom_PNDPROC_RECVDATA)(unsigned char* dataIO, int sizeIO, int timeOutI);
typedef	int	(*TomTom_PNDPROC_SENDDATA)(const unsigned char* dataI, int sizeI);

TomTom_PHONENETWORKDETECT_API int		TomTom_Initialise(const char*	aDatabaseFile, TomTom_PNDPROC_RECVDATA aReadFunction, TomTom_PNDPROC_SENDDATA aSendFunction);
TomTom_PHONENETWORKDETECT_API void		TomTom_DeInitialise(int aHandle);
TomTom_PHONENETWORKDETECT_API int		TomTom_GetVersionLibrary(int aHandle);
TomTom_PHONENETWORKDETECT_API int		TomTom_GetVersionDatabase(int aHandle);

TomTom_PHONENETWORKDETECT_API int		TomTom_DetectPhoneAndNetwork(int aHandle); 
TomTom_PHONENETWORKDETECT_API int       TomTom_GetDetectedPhone(int aHandle, char *nameIO, int name_sizeIO, char *manuIO, int manu_sizeIO); 
TomTom_PHONENETWORKDETECT_API int       TomTom_GetNrDetectedDUNSettings(int aHandle, int *countO);
TomTom_PHONENETWORKDETECT_API int       TomTom_GetDetectedDUNSettingByIndex(int aHandle, int indexI, struct TomTom_DUNSetting *settingIO);

TomTom_PHONENETWORKDETECT_API int		TomTom_GetNrCountries(int aHandle);
TomTom_PHONENETWORKDETECT_API int		TomTom_GetCountryByIndex(int aHandle, int aCountryIndex, char* aCountryDescription, int sizeIO);
TomTom_PHONENETWORKDETECT_API int		TomTom_GetCountryNrOfBasicDUNSettings(int aHandle, int aCountryIndex);
TomTom_PHONENETWORKDETECT_API int		TomTom_GetCountryBasicDUNSettingByIndex(int aHandle, int aCountryIndex, int aBasicDUNSettingIndex, struct TomTom_DUNSetting *dataIO);

TomTom_PHONENETWORKDETECT_API int		TomTom_GetNrOfPhones(int aHandle);
TomTom_PHONENETWORKDETECT_API int		TomTom_GetPhoneByIndex(int aHandle, int aPhoneIndex, int* aPhoneId, char* aPhoneDescription, int sizeIO);

TomTom_PHONENETWORKDETECT_API int		TomTom_GetDUNSetting(int aHandle, int aPhoneId, int aBasicDUNSettingId, struct TomTom_DUNSetting *settingO);



